
Infrastructure - Task #1490

Story # 1070 (Closed): implement client side authentication support

Implement authentication and session management for java client

2011-04-06 19:14 - Matthew Jones

Status: Rejected Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone: CCI-0.6.2 Story Points:  

Product Version: *   

Description

History

#1 - 2011-06-27 19:36 - Ben Leinfelder

- Status changed from New to In Progress

- Assignee set to Ben Leinfelder

The CILogon certificate is valid for 18 hours. It [will eventually contain] the Subject information used in the Session object when calling D1 methods,

but the client usually has no need to validate this information - it's only on the server side that the certificate is inspected and the Subject information

used. When the certificate expires, the session is over, essentially.

I'm not sure what else was intended for this ticket. 

#2 - 2011-07-11 19:23 - Ben Leinfelder

- Status changed from In Progress to Rejected

- Milestone set to CCI-0.6.2
